// Copyright (c) 2012, the Dart project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.

library files;

import 'package:csslib/parser.dart';
import 'package:csslib/visitor.dart';
import 'package:source_maps/span.dart' show File;

import 'options.dart';

/** An input file to process by the CSS compiler. */
class SourceFile {
  /** If path is null the file is memory based otherwise it's a file. */
  final String path;

  /** Stylesheet to be processed. */
  final String text;

  final File file;

  /** AST of the compiled source (text). */
  StyleSheet tree;

  SourceFile(String path, {String source})
      : this.path = path,
        text = source,
        file = new File.text(path, source);

  String toString() => "<#SourceFile ${path != null ? path : 'MEMORY'}>";
}

/** An output file generated by the CSS pre-processor. */
class OutputFile {
  final String path;
  final String contents;

  OutputFile(this.path, this.contents);
}
